curl --request GET \
--url https://api.affinity.co/v2/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"name": "Horizon Technologies",
"domain": "horizontech.com",
"domains": [
"horizontech.com"
],
"isGlobal": false,
"fields": []
},
{
"id": 2,
"name": "Crestwood Capital",
"domain": "crestwoodcap.com",
"domains": [
"crestwoodcap.com"
],
"isGlobal": false,
"fields": []
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/companies?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/companies?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Get all Companies
Paginate through Companies in Affinity. Returns basic information and non-list-specific field data on each Company.
To retrieve field data, you must use either the fieldIds or the fieldTypes parameter
to specify the Fields for which you want data returned.
These Field IDs and Types can be found using the GET /v2/companies/fields endpoint.
When no fieldIds or fieldTypes are provided, Companies will be returned without any field data attached.
To supply multiple fieldIds or fieldTypes parameters, generate a query string that looks like this:
?fieldIds=field-1234&fieldIds=affinity-data-location or ?fieldTypes=enriched&fieldTypes=global.
Requires the “Export All Organizations directory” permission.
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Cursor for the next or previous page
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
1 <= x <= 100100
Company IDs
1 <= x <= 9007199254740991Field IDs for which to return field data
["field-1"]
Field Types for which to return field data
enriched, global, relationship-intelligence Was this page helpful?